Page MenuHome

snap seems broken when scaling
Closed, ResolvedPublic

Description

System Information
Ubuntu 14.04 (Trusty) running on a Lenovo laptop T500.

Blender Version
Broken: (2.69)
Worked: N/A

Short description of error
When scaling the right object along the x-axis with snap turned on,
the snap doesn't snap to the object on the left.

Exact steps for others to reproduce the error
Open the attached .blend file.
Select the object on the right.
Scale along the x-axis to the left
Notice that snap doesn't work.

Event Timeline

Roy Mathew (roym) added a project: BF Blender.
Roy Mathew (roym) set Type to Bug.
Roy Mathew (roym) created this task.
Roy Mathew (roym) raised the priority of this task from to Needs Triage by Developer.
Roy Mathew (roym) added a comment.EditedOct 16 2015, 4:01 AM

forgot to add .blend file earlier.

Thanks for the report, fixed in master, note that since 2.69 - a related bug (T39161) was fixed too, so worth using recent builds - https://builder.blender.org/download/

We may back-port this for 2.76a.

Thankyou very much. I've also updated the SO thread to mention the fix.

Snap tool still broken. No difference in daily builds

@nullpoint, checked again with master and its working here.
perhaps @Roy Mathew (roym) can confirm if the fix is working.

The fix is working for me.

@nullpoint - I looked at your .blend file attached to the thread at http://blender.stackexchange.com/questions/39981/snap-to-edge-vertex-when-scaling . It's a large file and it's not clear what isn't working - can you reduce the problem to a small file with 2 objects.

nullpoint added a comment.EditedOct 19 2015, 3:36 PM

2.75 working

2.76 broken

Daily build still broken.

Thank you the care about.

i realized this problem to (with 2.76),
but only if scaling around >3d-cursor< (and cursor is exactly on vertex-point),


if scaling around origin, problem did not occurs

nullpoint added a comment.EditedOct 19 2015, 4:02 PM

Im scaling around origins, as you can see on gif attachments.

(actually thats a median point because i try everything, but im work with origins mode, and every mode working in 2.75)

Do you need any information from my workmachine and operating system or etc, for easier problem identification?

mhm, may its a bug ;) ... i only read this thread and tryed to reproduce ...
same behaivor here with 2.76
( reduced sample from stackexchange here:

)

@Sylvio Sell (semmi) - you're right. I tried it with Campbell's fix: this .blend demonstrates that there still is a snap problem.

nullpoint added a comment.EditedOct 23 2015, 1:06 AM

I'm so excited :D : D A trying every daily build . I will shout if all right :)

Committed fix for snap_problem-1-reduced.blend rB62225057394b61c66cb7cb2ce1e9b8c62170c0d8.

Set axis alignment to Z while snapping and this works as expected.


@Sylvio Sell (semmi), best just report a new bug, if you notice a fix for one bug doesn't resolve an error in a related area.

nullpoint added a comment.EditedOct 23 2015, 11:58 AM

Hello!

blender-2.76-6222505-win64 daily build seems working Z and Y axis, there is a strange thing on X axis. See gif upper right corner , if snapping X axis.

daily276zy

Its will be good very soon. I feel it :)

Good news!
 
Latest build working awesome properly!!!  

This team the best! 


( i cant be able to use blender git currently, so i cant did the code change, what Campbell linked. :)  ( but i will learn)   )